Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessageVoiceNote

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageVoiceNote

Enclosing class:
  TdApi

public static final class TdApi.InputMessageVoiceNote extends TdApi.InputMessageContent
A voice note message.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.FormattedText`
`caption`
Voice note caption; may be null if empty; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`duration`
Duration of the voice note, in seconds.
`TdApi.MessageSelfDestructType`
`selfDestructType`
Voice note self-destruct type; may be null if none; pass null if none; private chats only.
`TdApi.InputFile`
`voiceNote`
Voice note to be sent.
`byte[]`
`waveform`
Waveform representation of the voice note in 5-bit format.

## Constructor Summary

Constructors
Constructor
Description
`InputMessageVoiceNote()`
A voice note message.
`InputMessageVoiceNote(TdApi.InputFile voiceNote, int duration, byte[] waveform, TdApi.FormattedText caption, TdApi.MessageSelfDestructType selfDestructType)`
A voice note message.
`InputMessageVoiceNote(DataInput input)`
A voice note message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### voiceNote

public TdApi.InputFile voiceNote
Voice note to be sent.

### duration

public int duration
Duration of the voice note, in seconds.

### waveform

public byte[] waveform
Waveform representation of the voice note in 5-bit format.

### caption

public TdApi.FormattedText caption
Voice note caption; may be null if empty; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

### selfDestructType

public TdApi.MessageSelfDestructType selfDestructType
Voice note self-destruct type; may be null if none; pass null if none; private chats only.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputMessageVoiceNote

public InputMessageVoiceNote()
A voice note message.

### InputMessageVoiceNote

public InputMessageVoiceNote(TdApi.InputFile voiceNote, int duration, byte[] waveform, TdApi.FormattedText caption, TdApi.MessageSelfDestructType selfDestructType)
A voice note message.

Parameters:
  `voiceNote` - Voice note to be sent.
  `duration` - Duration of the voice note, in seconds.
  `waveform` - Waveform representation of the voice note in 5-bit format.
  `caption` - Voice note caption; may be null if empty; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
  `selfDestructType` - Voice note self-destruct type; may be null if none; pass null if none; private chats only.

### InputMessageVoiceNote

public InputMessageVoiceNote(DataInput input) throws IOException
A voice note message.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`